Subject: Re: [PATCH v3 06/14] packfile: introduce function to iterate through objects

From: Junio C Hamano <[email-masked]>
Date: Fri, 23 Jan 2026 08:22:48 -0800

Chris Torek <[email-masked]> writes:

>> > > function is the equivalent to `odb_source_loose_for_each_object()` in
>> >
>> > s/to/of/ ?
>>
>> Hm, isn't "to" correct in this case? The remainder of the sentence reads
>> weird though.
>
> Different English dialects. The preposition after "different" differs...
>
> (It also matters whether you use the definite article, "the function F1
> is THE equivalent of F2 in case X" vs "function F1 is equivalent to F2
> in case X".)

Heh, "equivalent" is "Y is an equivalent of X" is a noun.  It is
adjective in "A is equivalent to B".  Of course, article is used
only with the former (i.e. noun) form, but article is not the
essential difference, parts of speech is.